
		    HOW TO BUILD AND INSTALL DISCOUNT

1) Unpacking the distribution

The DISCOUNT sources are distributed in tarballs.  After extracting from
the tarball, you should end up with all the source and build files in the
directory
		discount-(version)

2) Installing the distribution

DISCOUNT uses configure.sh to set itself up for compilation.   To run
configure, just do ``./configure.sh'' and it will check your system for
build dependencies and build makefiles for you.   If configure.sh finishes
without complaint, you can then do a ``make'' to compile everything and a
``make install'' to install the binaries.

Configure.sh has a few options that can be set:

--src=DIR		where the source lives (.)
--prefix=DIR		where to install the final product (/usr/local)
--execdir=DIR		where to put executables (prefix/bin)
--sbindir=DIR		where to put static executables (prefix/sbin)
--confdir=DIR		where to put configuration information (/etc)
--libdir=DIR		where to put libraries (prefix/lib)
--libexecdir=DIR	where to put private executables
--mandir=DIR		where to put manpages
--enable-dl-tag	Use the DL tag extension
--enable-pandoc-header	Use pandoc-style header blocks
--enable-superscript	A^B expands to A<sup>B</sup>
--enable-amalloc	Use a debugging memory allocator (to detect leaks)
--relaxed-emphasis	Don't treat _ in the middle of a word as emphasis
--with-tabstops=N	Set tabstops to N characters (default is 4)

3) Installing sample programs and manpages

The standard ``make install'' rule just installs the binaries. If you
want to install the sample programs, they are installed with
``make install.samples'';  to install manpages, ``make install.man''.
A shortcut to install everything is ``make install.everything''
